Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1297682 - need to reconnect to db on stop in the thread that updates dwh_history_timekeeping
Summary: need to reconnect to db on stop in the thread that updates dwh_history_timeke...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine-dwh
Classification: oVirt
Component: ETL
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-3.6.3
: ---
Assignee: Shirly Radco
QA Contact: Pavel Stehlik
URL:
Whiteboard: dwh
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-12 08:48 UTC by Yedidyah Bar David
Modified: 2016-02-10 18:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-14 11:48:05 UTC
oVirt Team: Metrics
sradco: ovirt-3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Yedidyah Bar David 2016-01-12 08:48:10 UTC
Description of problem:

See flow in bug 1286441 comment 22.

The fix there changed dwhd to reconnect every 4 seconds, which might not be enough under certain conditions (such as automated upgrades or whatever). We should reconnect right before trying to update the engine db.

Comment 1 Shirly Radco 2016-01-14 11:35:02 UTC
Please add steps to reproduce this problem.

Comment 2 Shirly Radco 2016-01-14 11:48:05 UTC
There is a workaround . Restart ovirt-engine-dwhd.
Closing as wontfix.


Note You need to log in before you can comment on or make changes to this bug.